cmdargs-0.10.13: Command line argument processing

Safe Haskell | None
Language | Haskell98

System.Console.CmdArgs.Default

Description

This module provides default values for many types. To use the default value simply write `def`.

Synopsis

- class Default a where
  - def :: a

# Documentation

class Default a where Source

Class for default values.

Methods

def :: a Source

Provide a default value, such as `()`, `False`, `0`, `[]`, `Nothing`.

Instances

Default Bool Source |
Default Double Source |
Default Float Source |
Default Int Source |
Default Int8 Source |
Default Int16 Source |
Default Int32 Source |
Default Int64 Source |
Default Integer Source |
Default Word Source |
Default Word8 Source |
Default Word16 Source |
Default Word32 Source |
Default Word64 Source |
Default () Source |
Default TextFormat Source |
Default HelpFormat Source |
Default [a] Source |
Default (Maybe a) Source |
(Default a1, Default a2) => Default (a1, a2) Source |
(Default a1, Default a2, Default a3) => Default (a1, a2, a3) Source |
(Default a1, Default a2, Default a3, Default a4) => Default (a1, a2, a3, a4) Source |
(Default a1, Default a2, Default a3, Default a4, Default a5) => Default (a1, a2, a3, a4, a5) Source |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6) => Default (a1, a2, a3, a4, a5, a6) Source |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7) => Default (a1, a2, a3, a4, a5, a6, a7) Source |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7, Default a8) => Default (a1, a2, a3, a4, a5, a6, a7, a8) Source |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7, Default a8, Default a9) => Default (a1, a2, a3, a4, a5, a6, a7, a8, a9) Source |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7, Default a8, Default a9, Default a10) => Default (a1, a2, a3, a4, a5, a6, a7, a8, a9, a10) Source |